<ui:composition xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
	xmlns:cc="http://xmlns.jcp.org/jsf/composite" xmlns:p="http://primefaces.org/ui">
	<cc:interface>
		<cc:attribute name="action" required="true" method-signature="java.lang.String action()" />
		<cc:attribute name="value" required="false" default="" />
		<cc:attribute name="title" required="false" default="" />
		<cc:attribute name="tooltip" required="false" default="" />
		<cc:attribute name="isLink" required="false" default="false" />
		<cc:attribute name="approveButtonLabel" required="false" default="ok" />
		<cc:attribute name="cancelButtonLabel" required="false" default="cancel" />
		<cc:attribute name="immediate" required="false" default="false" type="java.lang.Boolean" />
		<cc:attribute name="iconAwesome" required="false" default="trash" />
		<cc:attribute name="iconbutton" required="false" default="true" type="java.lang.Boolean" />
		<cc:attribute name="ajax" required="false" default="false" type="java.lang.Boolean" />
		<cc:attribute name="update" required="false" default="" type="java.lang.String" />
		<cc:attribute name="propertyActionListenerValue" required="false" default="" />
		<cc:attribute name="propertyActionListenerTarget" required="false" default="" />
		<cc:attribute name="onclick" required="false" default="" />
		<cc:attribute name="oncomplete" required="false" default="" />
	</cc:interface>
	<cc:implementation>
		<p:dialog widgetVar="deletedlg_#{cc.clientId}" modal="true" appendTo="@(form)" header="#{cc.attrs.title}" styleClass="dangerdialog">
			<div style="text-align: center; padding-top: 16px; padding-bottom: 16px">
				<cc:insertChildren />
			</div>
			<f:facet name="footer">
				<div style="text-align: center">
					<p:commandButton id="btn_closedeletedialog" value="#{cc.attrs.cancelButtonLabel}" type="button" onclick="PF('deletedlg_#{cc.clientId}').hide();" />
					<ui:fragment rendered="#{cc.attrs.propertyActionListenerValue != ''}">
						<p:commandButton id="btn_approvedelete_this" action="#{cc.attrs.action}" value="#{cc.attrs.approveButtonLabel}" immediate="#{cc.attrs.immediate}" ajax="#{cc.attrs.ajax}"
							update="#{cc.attrs.update}" styleClass="dangerapprovebutton" onclick="#{cc.attrs.onclick}" oncomplete="#{cc.attrs.oncomplete}">
							<f:setPropertyActionListener value="#{cc.attrs.propertyActionListenerValue}" target="#{cc.attrs.propertyActionListenerTarget}" />
						</p:commandButton>
					</ui:fragment>
					<ui:fragment rendered="#{cc.attrs.propertyActionListenerValue == ''}">
						<p:commandButton id="btn_approvedelete" action="#{cc.attrs.action}" value="#{cc.attrs.approveButtonLabel}" immediate="#{cc.attrs.immediate}" ajax="#{cc.attrs.ajax}"
							update="#{cc.attrs.update}" styleClass="dangerapprovebutton" onclick="#{cc.attrs.onclick}" oncomplete="#{cc.attrs.oncomplete}" />
					</ui:fragment>
				</div>
			</f:facet>
		</p:dialog>
		<p:commandButton styleClass="#{cc.attrs.iconbutton ? 'deletebutton' : 'widedeletebutton'}" type="button" onclick="PF('deletedlg_#{cc.clientId}').show();" title="#{cc.attrs.tooltip}"
			value="#{cc.attrs.value}" icon="fa fa-#{cc.attrs.iconAwesome}" />
	</cc:implementation>
</ui:composition>